%define upstream_name    Catalyst-Plugin-AutoCRUD
%define upstream_version 2.131210

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Instant AJAX web front-end for DBIx::Class
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Catalyst/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst)
BuildRequires: perl(Catalyst::Action::RenderView)
BuildRequires: perl(Catalyst::Controller)
BuildRequires: perl(Catalyst::Model)
BuildRequires: perl(Catalyst::Model::DBIC::Schema)
BuildRequires: perl(Catalyst::Plugin::ConfigLoader)
BuildRequires: perl(Catalyst::Plugin::Unicode::Encoding)
BuildRequires: perl(Catalyst::Runtime) >= 5.700.0
BuildRequires: perl(Catalyst::ScriptRunner)
BuildRequires: perl(Catalyst::Utils)
BuildRequires: perl(Catalyst::View::JSON)
BuildRequires: perl(Catalyst::View::TT)
BuildRequires: perl(Class::Data::Inheritable)
BuildRequires: perl(DBD::SQLite)
BuildRequires: perl(DBI)
BuildRequires: perl(DBIx::Class) >= 0.81.270
BuildRequires: perl(DBIx::Class::Schema)
BuildRequires: perl(DBIx::Class::Schema::Loader)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Data::Page)
BuildRequires: perl(Devel::InnerPackage)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Slurp)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::stat)
BuildRequires: perl(JSON::XS)
BuildRequires: perl(Lingua::EN::Inflect::Number)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(MRO::Compat)
BuildRequires: perl(SQL::Translator)
BuildRequires: perl(SQL::Translator::Schema)
BuildRequires: perl(SQL::Translator::Schema::Table)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::WWW::Mechanize::Catalyst)
BuildRequires: perl(base)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module contains an application which will automatically construct a
web interface for a database on the fly. The web interface supports Create,
Retrieve, Update, Delete and Search operations.

The interface is not written to static files on your system, and uses AJAX
to act upon the database without reloading your web page (much like other
Web 2.0 appliactions, for example Google Mail).

Almost all the information required by the plugin is retrieved from the the
DBIx::Class manpage ORM frontend to your database, which it is expected
that you have already set up (although see the /USAGE manpage, below). This
means that any change in database schema ought to be reflected immediately
in the web interface after a page refresh.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.131.210-2.mga4
+ Revision: 526849
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.131.210-1.mga4
+ Revision: 438930
- update to 2.131210

* Sun Jan 13 2013 umeabot <umeabot> 2.123.610-2.mga3
+ Revision: 363961
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.123.610-1.mga3
+ Revision: 342645
- update to 2.123610

* Wed Sep 05 2012 kharec <kharec> 2.122.460-1.mga3
+ Revision: 288546
- update to 2.122460

* Fri Aug 31 2012 kharec <kharec> 2.122.400-1.mga3
+ Revision: 286532
- update to 2.122400

* Wed Feb 22 2012 kharec <kharec> 2.120.250-1.mga2
+ Revision: 211990
- update to 2.120250

* Tue Dec 13 2011 kharec <kharec> 2.113.450-1.mga2
+ Revision: 181389
- update to 2.113450

* Thu Dec 08 2011 kharec <kharec> 2.113.270-1.mga2
+ Revision: 179160
- update to 2.113270

* Fri Oct 14 2011 jquelin <jquelin> 1.112.770-1.mga2
+ Revision: 154788
- update to 1.112770

* Wed Mar 16 2011 jquelin <jquelin> 1.110.731-1.mga1
+ Revision: 72363
- update to 1.110731

* Fri Feb 25 2011 jquelin <jquelin> 1.110.471-1.mga1
+ Revision: 59655
- update to 1.110471

* Thu Jan 27 2011 jquelin <jquelin> 0.680.0-1.mga1
+ Revision: 42053
- adding missing buildrequires:
- mageia rebuild
- imported package perl-Catalyst-Plugin-AutoCRUD

